Subject: Re: Bug in ipv6 ipsec in handling of packets with extension headers

From: Henrik Petander <[email-masked]>
Date: Thu, 05 Jun 2003 15:59:32 +0300

David S. Miller wrote:
>    From: Henrik Petander <[email-masked]>
>    Date: Thu, 05 Jun 2003 15:25:14 +0300
>    
>    A possible fix is to change the pointer into an offset from the start of 
>    the packet and use the offset later to set the nexthdr value in the 
>    extension header.
> 
> Please indicate the version of the sources you are looking
> at when making reports.

Sure, esp6.c bitkeeper version was 1.16. Also a fix to the bug report: 
the problem is with esp6 and not with ah6, which does not use the 
get_offset function.

Henrik